"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LongEnumerationCSSPropertyValidator = void 0;

var _LongCSSPropertyValidator = require("./LongCSSPropertyValidator");

class LongEnumerationCSSPropertyValidator extends _LongCSSPropertyValidator.LongCSSPropertyValidator {
  constructor(params, allowedList) {
    super(params);
    this.allowedList = allowedList;
  }

  normalizeRawInlineCSSValue(v) {
    if (this.allowedList.indexOf(v) !== -1) {
      return v;
    }

    return null;
  }

  normalizeNativeValue(v) {
    return this.normalizeInlineCSSValue(v);
  }

}

exports.LongEnumerationCSSPropertyValidator = LongEnumerationCSSPropertyValidator;
//# sourceMappingURL=LongEnumerationCSSPropertyValidator.js.map